//to show content of specific table

import { QueryTypes, Sequelize } from "sequelize";

const showTableContent = async (table: string, sequelize: Sequelize) => {
  const tableContent = await sequelize.query(`SELECT * FROM ${table}`, {
    type: QueryTypes.SELECT,
  });

  console.log(
    `-------------Content of ${table}-table---------------\n`,
    tableContent,
    "\n---------------------------------------------------\n"
  );
};
export default showTableContent;
